require "socket"

class Redbay::Server
  def initialize
    @server_fd = TCPServer.new(3577)
  end

  def read_from(client, size)
    begin
      data = c.read_nonblock(size)
      return data

    rescue Exception => e
      puts("read from: ", e)
    end

    ''
  end

  def write_to(client, buffer)
    begin
      client.write_nonblock(buffer)
    rescue Exception => e
      puts("write to: ", e)
    end
  end

  def run_loop
    loop do
      c = @server_fd.accept

      5.times do
        data = self.read_from(c, 1024)
        sleep(1)
      end

      self.write_to(c, data)

      c.close
    end
  end
end